package com.bailuntec.domain.constant;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public interface Constant {
    Integer MIN_AUTO_FORECAST_DAY = 31;//配置最少预测多少天
    Integer INSPECTION_DELIVE = 2;//质检天数
    Integer TURNOVER_MULTIPLE = 2;//周转倍数
    String ALGORITHM_NAME = "算法预测";
    String NAN_STRING = "N/A";
    String PURCHASE_SIGN = "p_";
    String TRANSFER_SIGN = "t_";
    BigDecimal BIGDECIMAL_FOURTEEN = BigDecimal.valueOf(14);
    BigDecimal BIGDECIMAL_SEVEN = BigDecimal.valueOf(7);
    BigDecimal BIGDECIMAL_THREE = BigDecimal.valueOf(3);
    BigDecimal FBA_OUT_STOCK_DECREASE = BigDecimal.valueOf(0.93);// 0.93 = 1 - 0.07, 来自老板提的FBA断货, 销量递减
    BigDecimal FBA_OUT_STOCK_INCREMENT = BigDecimal.valueOf(1.07);// 0.93 = 1 - 0.07, 来自老板提的FBA断货, 销量递减
    LocalDateTime INIT_DATE_TIME = LocalDateTime.of(1990,1,1,0,0);
}
